### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
AmortizingFixedRateBond Class Reference

amortizing fixed-rate bond More...

`#include <ql/experimental/amortizingbonds/amortizingfixedratebond.hpp>`

Inheritance diagram for AmortizingFixedRateBond:
[legend]

List of all members.

## Public Member Functions

| AmortizingFixedRateBond (Natural settlementDays, const std::vector< Real > &notionals, const Schedule &schedule, const std::vector< Rate > &coupons, const DayCounter &accrualDayCounter, BusinessDayConvention paymentConvention=Following, const Date &issueDate=Date())
| AmortizingFixedRateBond (Natural settlementDays, const Calendar &calendar, Real faceAmount, const Date &startDate, const Period &bondTenor, const Frequency &sinkingFrequency, const Rate coupon, const DayCounter &accrualDayCounter, BusinessDayConvention paymentConvention=Following, const Date &issueDate=Date())
Frequency | frequency () const
const DayCounter & | dayCounter () const

## Protected Attributes

Frequency | frequency_
DayCounter | dayCounter_

## Detailed Description

amortizing fixed-rate bond

## Constructor & Destructor Documentation

AmortizingFixedRateBond | ( | Natural | settlementDays,
|  | const Calendar & | calendar,
|  | Real | faceAmount,
|  | const Date & | startDate,
|  | const Period & | bondTenor,
|  | const Frequency & | sinkingFrequency,
|  | const Rate | coupon,
|  | const DayCounter & | accrualDayCounter,
|  | BusinessDayConvention | paymentConvention = `Following`,
|  | const Date & | issueDate = `Date()`
| ) |  |

Automatically generates a set of equal coupons, with an amortizing bond. The coupons are equal and the accrual daycount is only used for quoting/settlement purposes - not for calculating the coupons.